Skip to main content
GET
Historic Data

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

An option contract in the OSI format.

Example:

"TSLA230526P00167500"

Query Parameters

limit
integer

How many items to return. If no limit is given, returns all matching data. Min: 1.

Required range: x >= 1
Example:

10

Response

ask_volume
integer

The amount of volume that happened on the ask side.

Ask side is defined as (ask + bid) / 2 < fill price.

Example:

119403

avg_price
string

The volume weighted average fill price of the contract.

Example:

"1.0465802437910297887119234370"

bid_volume
integer

The amount of volume that happened on the bid side.

Bid side is defined as (ask + bid) / 2 > fill price.

Example:

122789

cross_volume
integer

The amount of cross volume. Cross volume consists of all transaction that have the cross trade code.

Example:

0

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

floor_volume
integer

The amount of floor volume. Floor volume consists of all transaction that have the floor trade code.

Example:

142

high_price
string

The highest fill on that contract.

Example:

"2.95"

implied_volatility
string

The implied volatility for the last transaction.

Example:

"0.675815680048166"

iv_high
string

The highest implied volatility at which a transaction occurred.

Example:

"0.675815680048166"

iv_low
string

The lowest implied volatility at which a transaction occurred.

Example:

"0.310502942482285"

last_price
string

The last fill on the contract.

Example:

"0.03"

last_tape_time
string

The last time there was a transaction for the given contract as UTC timestamp.

Example:

"2023-09-08T17:45:32.000Z"

low_price
string

The lowest fill on that contract.

Example:

"0.02"

mid_volume
integer

The amount of volume that happened in the middle of the ask and bid.

Mid is defined as (ask + bid) / 2 == fill price.

Example:

22707

multi_leg_volume
integer

The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more.

Example:

7486

nbbo_ask
string

The NBBO Ask price for the final tick of that day's trading session.

Example:

"0.45"

nbbo_bid
string

The NBBO Bid price for the final tick of that day's trading session.

Example:

"0.30"

no_side_volume
integer

The amount of volume that happened on no identifiable side. This can be late, out of sequence and/or cross transactions.

Example:

0

open_interest
integer

The open interest for the contract.

Example:

18680

open_price
string

The first fill on that contract.

Example:

"0.92"

stock_multi_leg_volume
integer

The amount of volume that happened as part of a stock transaction and possibly other option contracts. This can be covered calls and more.

Example:

52

sweep_volume
integer

The amount of sweep volume. Sweep volume consists of all transaction that have the sweep trade code.

Example:

18260

total_ask_changes
integer

The total count of changes to the NBBO ask during that day's trading session.

Example:

165

total_bid_changes
integer

The total count of changes to the NBBO bid during that day's trading session.

Example:

28

total_premium
string

The total option premium.

Example:

"27723806.00"

trades
integer

The amount of transaction for this contract.

Example:

39690

volume
integer

The contract volume.

Example:

264899

Last modified on September 29, 2026